/*
Copyright 2022 The KubeVela Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package model

const (
	// OutputFieldName is the reference of context base object
	OutputFieldName = "output"
	// OutputsFieldName is the reference of context Auxiliaries
	OutputsFieldName = "outputs"
	// ConfigFieldName is the reference of context config
	ConfigFieldName = "config"
	// ParameterFieldName is the keyword in CUE template to define users' input and the reference to the context parameter
	ParameterFieldName = "parameter"
	// ContextName is the name of context
	ContextName = "name"
	// ContextNamespace is the namespace of the app
	ContextNamespace = "namespace"
	// ContextPublishVersion is the publish version of the app
	ContextPublishVersion = "publishVersion"
	// ContextWorkflowName is the name of the workflow
	ContextWorkflowName = "workflowName"
	// ContextStepSessionID is the session id of the step
	ContextStepSessionID = "stepSessionID"
	// ContextStepName is the name of the step
	ContextStepName = "stepName"
	// ContextSpanID is name for span id.
	ContextSpanID = "spanID"
	// OutputSecretName is used to store all secret names which are generated by cloud resource components
	OutputSecretName = "outputSecretName"
)
